> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-en/rest-api/midapi-v2/face-collections/delete-collection.md).

# Delete Collection

Service that deletes a face collection and the faces registered in it.

### Endpoint

```
DELETE /biometric/face/collections/{collectionId}
```

### Headers

| Name              | Type   | Required | Description                                                                                                                   |
| ----------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **Authorization** | string | **Yes**  | Consumer Token in Bearer format `Bearer <token>`. See [Authentication](/docs.facephi-en/rest-api/midapi-v2/autenticacion.md). |
| **consumer-id**   | string | **Yes**  | Consumer identifier.                                                                                                          |

### Path parameters

| Parameter      | Type   | Required | Description            |
| -------------- | ------ | -------- | ---------------------- |
| `collectionId` | string | **Yes**  | Collection identifier. |

### Responses

#### `204` No Content

The collection was deleted successfully. The response has no body.

#### Other responses

| Code  | Description                                                               |
| ----- | ------------------------------------------------------------------------- |
| `401` | Missing, invalid, or expired Token.                                       |
| `403` | The consumer is not provisioned with the service `FACE_COLLECTION_ADMIN`. |

The body of an error response has the form described in [MIDAPI v2](/docs.facephi-en/rest-api/midapi-v2.md#respuestas-de-error).
